Name: gdvdcreator
Version: 0.1.1.1
Release: %mkrel 3

Summary: GDVDCreator is a DVD creation tool
License: GPL
Group:   Video
URL: http://gdvdcreator.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libgtkmm-devel
BuildRequires:	libglademm-devel
BuildRequires:	libxml++-devel
BuildRequires:	pkgconfig
BuildRequires:  desktop-file-utils

%description
GDVDCreator is a DVD creation tool designed to make the creation
of DVD's intuitive whether their structure is simple or complex.
In essence, it is a front-end to the well known dvd authoring
command-line program 'dvdauthor', allowing the user to graphically
construct DVD structures based on the dvdauthor XML file format
and then generating the appropriate XML for that structure.


%prep
%setup -q %{name}-%{version}


%build
%configure2_5x

%make 

%install
rm -rf %{buildroot}
%makeinstall

#icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
            
#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GDVDCreator
Comment=GDVDCreator is a DVD creation tool
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;AudioVideoEditing;
EOF

#don't need these:
rm -r %{buildroot}/usr/doc/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README COPYING NEWS AUTHORS INSTALL ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/glade/%{name}.glade
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon May 04 2009 pcserver <pcserver@hushmail.com> 0.1.1.1-3pclos2009
- fix menu entry

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.1.1.1-2pclos2009
- fix synaptic group

* Sun Aug 10 2008 Slick50 <slick50@linuxgator.org> 0.1.1.1-1pclos2007
- Import to PCLinuxOS
